#ifdef VHDL
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

  void @COMPONENT::vhdl (void)
  {
    log_printf(FUNC,@COMPONENT,"vhdl","Begin");

    Vhdl vhdl (_name);

    _interfaces->set_port(vhdl);
    _component->vhdl_instance(vhdl);

    vhdl_declaration (vhdl);
    vhdl_body        (vhdl);

    vhdl.generate_file();

    delete vhdl;

    log_printf(FUNC,@COMPONENT,"vhdl","End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
